package com.cim.idm.mwmsextend.checkrecord.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class CheckRecordHistory extends FieldAccessor implements
	HistoryDataInfo<CheckRecordHistoryKey> {
	private CheckRecordHistoryKey key;
	private String sysLocation;
	private String operatorId;
	private String checkTimeKey;
	private String checkState;
	private String lastAction;
	private double materialQuantity;
	private String eventName;
	private String eventUser;
	private Timestamp eventTime;
	private String eventTimeKey;
	private String eventComment;
	public CheckRecordHistoryKey getKey() {
		return key;
	}
	public void setKey(CheckRecordHistoryKey key) {
		this.key = key;
	}
	public String getSysLocation() {
		return sysLocation;
	}
	public void setSysLocation(String sysLocation) {
		this.sysLocation = sysLocation;
	}
	public String getOperatorId() {
		return operatorId;
	}
	public void setOperatorId(String operatorId) {
		this.operatorId = operatorId;
	}
	public String getCheckTimeKey() {
		return checkTimeKey;
	}
	public void setCheckTimeKey(String checkTimeKey) {
		this.checkTimeKey = checkTimeKey;
	}
	public String getCheckState() {
		return checkState;
	}
	public void setCheckState(String checkState) {
		this.checkState = checkState;
	}
	public String getLastAction() {
		return lastAction;
	}
	public void setLastAction(String lastAction) {
		this.lastAction = lastAction;
	}
	public String getEventName() {
		return eventName;
	}
	public void setEventName(String eventName) {
		eventName = eventName;
	}
	public String getEventUser() {
		return eventUser;
	}
	public void setEventUser(String eventUser) {
		eventUser = eventUser;
	}
	public Timestamp getEventTime() {
		return eventTime;
	}
	public void setEventTime(Timestamp eventTime) {
		eventTime = eventTime;
	}
	public String getEventTimeKey() {
		return eventTimeKey;
	}
	public void setEventTimeKey(String eventTimeKey) {
		eventTimeKey = eventTimeKey;
	}
	public String getEventComment() {
		return eventComment;
	}
	public void setEventComment(String eventComment) {
		eventComment = eventComment;
	}	
	public double getMaterialQuantity() {
		return materialQuantity;
	}
	public void setMaterialQuantity(double materialQuantity) {
		this.materialQuantity = materialQuantity;
	}
}
